* {
    box-sizing: border-box;
}

body {
    font-family: Arial;
    margin: 0;
    padding: 0;
    background: #0f172a;
    color: white;
}

.container {
    width: 95%;
    max-width: 900px;
    margin: auto;
    padding: 15px;
}


h1, h2 {
    text-align: center;
}

.btn {
    display: inline-block;
    padding: 10px 15px;
    background: #3b82f6;
    color: white;
    text-decoration: none;
    margin: 5px;
    border-radius: 6px;
}

input, select {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border-radius: 6px;
    border: none;
}

table {
    width: 100%;
    background: #1e293b;
    border-radius: 8px;
    overflow: hidden;
    border-collapse: collapse;
    overflow-x: auto;
    display: block;
}


td, th {
    padding: 10px 20px;
    text-align: center;
    font-size: 16px;
    white-space: nowrap;
}

tr:nth-child(even) {
    background: #334155;
}


.summary {
    display: flex;
    gap: 15px;
    margin: 20px 0;
    flex-wrap: wrap;
}

.card {
    flex: 1;
    padding: 15px;
    border-radius: 10px;
    text-align: center;
    font-weight: bold;
}

.income {
    background: #16a34a;
}

.expense {
    background: #dc2626;
}

.balance {
    background: #2563eb;
}

.card p {
    font-size: 20px;
    margin-top: 10px;
}

@media (max-width: 600px) {
    .summary {
        flex-direction: column;
    }
}
.filter-bar {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.filter-bar input {
    flex: 1;
    min-width: 120px;
}

h3 {
    margin-top: 30px;
    text-align: center;
}

#homeTable td a{
    color: white;
}

canvas {
    background: #1e293b;
    padding: 15px;
    border-radius: 12px;
}

.pagination {
    margin-top: 20px;
    text-align: center;
}

.pagination a {
    display: inline-block;
    padding: 8px 12px;
    margin: 3px;
    background: #334155;
    color: white;
    text-decoration: none;
    border-radius: 5px;
}

.pagination a.active {
    background: #3b82f6;
}

@media (max-width: 800px) {

    h1 {
        font-size: 20px;
    }

    .btn {
        display: block;
        width: 100%;
        text-align: center;
        margin-bottom: 10px;
    }

    input, select {
        font-size: 16px;
    }


    .summary {
        flex-direction: column;
    }

}